<%@ page contentType="text/html; charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="en">
<head>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>购物车</title>
</head>
<body>
    <h1>购物车</h1>
    <a href="/">主页</a>
    <c:if test="${not empty computers}">
        <table border="1">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="computer" items="${computers}">
                    <tr>
                        <td>${computer.id}</td>
                        <td>${computer.name}</td>
                        <td>${computer.price}</td>
                        <td>
                            <a href="/cart?action=remove&id=${computer.id}">移出</a>
                        </td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>
        <hr>
    </c:if>
    <c:if test="${not empty computers}">
        <a href="/orders?action=add">
            <button>一键下单</button>
        </a>
    </c:if>
    <c:if test="${empty computers}">
        <p>购物车为空，暂无商品可下单。</p>
    </c:if>
    <br>
    <br/>
    <br>
</body>
</html>